## org.eclipse.emf.edit.ui.provider
Class ExtendedImageRegistry

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.ExtendedImageRegistry

    public class ExtendedImageRegistry

extends java.lang.Object

Field Summary
`protected static java.lang.String` `createChildURLPrefix`
`static ExtendedImageRegistry` `INSTANCE`
`protected static java.lang.String` `itemURLPrefix`
`protected static java.lang.String` `resourceURLPrefix`
`protected java.util.HashMap<java.lang.Object,Image>` `table`

Constructor Summary
`ExtendedImageRegistry()`
`ExtendedImageRegistry(Display display)`

Method Summary
`Image` `getImage(java.lang.Object object)`
`ImageDescriptor` `getImageDescriptor(java.lang.Object object)`
`static ExtendedImageRegistry` `getInstance()`
`protected void` `handleDisplayDispose()`
`protected void` `hookDisplayDispose(Display display)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ExtendedImageRegistry INSTANCE

### table

    protected java.util.HashMap<java.lang.Object,Image> table

### resourceURLPrefix

    protected static java.lang.String resourceURLPrefix

### itemURLPrefix

    protected static java.lang.String itemURLPrefix

### createChildURLPrefix

    protected static java.lang.String createChildURLPrefix

Constructor Detail

### ExtendedImageRegistry

    public ExtendedImageRegistry()

### ExtendedImageRegistry

    public ExtendedImageRegistry(Display display)

Method Detail

### getInstance

    public static ExtendedImageRegistry getInstance()

### getImage

    public Image getImage(java.lang.Object object)

### getImageDescriptor

    public ImageDescriptor getImageDescriptor(java.lang.Object object)

### handleDisplayDispose

    protected void handleDisplayDispose()

### hookDisplayDispose

    protected void hookDisplayDispose(Display display)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.